View Issue Details

IDProjectCategoryView StatusLast Update
0013555ScribusCanvaspublic2016-12-16 04:03
ReporterKunda Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status confirmedResolutionopen 
PlatformMacOSXOSYosemiteOS Version10.10.5
Product Version1.5.1svn 
Target Version1.5.4Fixed in Version 
Summary0013555: Action History event triggered by Style change even though style hasn't changed
DescriptionParagraph style is not applied even though it's triggered an Action History event
Steps To ReproduceMake sure PP and 'action history' windows are open
1) Open text frame
2) type some text
3) change Paragraph style to 'Default Paragraph Style'
Result:
Action History shows: "Text 1 - Apply Text Style"
even though the PP paragraph style spin box hasn't changed
Additional Informationrelated to 0005607
MacOSX 10.10.5 1.5.1svn r20542
(I'm not using HEAD because of compile issues that aren't remedied yet)

Attached gif
Tags#pending
PatchNo

Relationships

related to 0005607 assignedjghali Properties Palette does not refresh after entering story editor from canvas edit mode 
related to 0005606 closedjghali Properties Palette doesn't refresh after editing paragraph styles 

Activities

Kunda

2015-11-24 01:44

manager  

action-history-bug.gif (70,946 bytes)
action-history-bug.gif (70,946 bytes)

Kunda

2016-12-11 23:10

manager   ~0042901

Still reproducible in 1.5.3svn r21618
Is this not a straight-forward bug to fix?

Kunda

2016-12-12 11:53

manager   ~0042916

We (@PeterBenedek and myself) think this bug triggers 0005607

Kunda

2016-12-16 03:19

manager   ~0043053

FYI
When applying 'Default Character Style' the spinbox jumps back to 'No Style' but the Action History menu shows:

Text1 - Apply text style
parent= Default Character Style

Kunda

2016-12-16 04:03

manager   ~0043055

Scribus-Indigo displays different behavior:
when changing Paragraph Style from 'No Style' to 'Default Paragraph Style' the PP keeps 'Default Paragraph Style' in the spinbox.

Issue History

Date Modified Username Field Change
2015-11-24 01:44 Kunda New Issue
2015-11-24 01:44 Kunda File Added: action-history-bug.gif
2015-11-24 01:44 Kunda Relationship added related to 0005607
2015-11-24 01:45 Kunda Relationship added related to 0005606
2016-12-11 23:02 Kunda Target Version => 1.5.4
2016-12-11 23:10 Kunda Note Added: 0042901
2016-12-11 23:10 Kunda Status new => confirmed
2016-12-11 23:10 Kunda Tag Attached: #pending
2016-12-12 11:53 Kunda Note Added: 0042916
2016-12-16 03:19 Kunda Note Added: 0043053
2016-12-16 04:03 Kunda Note Added: 0043055